Help - Search - Members - Calendar
Full Version: Update Pdaxii13 With Z.drun.net Package
OESF Forums > Distros, Development, and Model Specific Forums > Distro Support and Discussion > pdaXrom
flavien
I read from some posts that use package from z.drun.net has breaked some zaurus smile.gif

I had the same problem but i decide to watch where is the problem.

install a fresh pdaxii13 5.3.8 on spitz

do a package upgrade
CODE
ipkg update
ipkg upgrade


edit the file /etc/ipkg.conf
comment all tyrannozaurus feed
and add the line
CODE
src zdrunet http://z.drun.net/packages


do a package upgrade
CODE
ipkg update
ipkg upgrade


We could see the errors in the ipkg logs
CODE
Not downgrading package libgnomecanvas from 2.6.1.1 to 2.14.0
Not downgrading package libpng from 1.2.5 to 1.2.12
Not downgrading package pygtk from 2.5.3 to 2.10.4
Not downgrading package glib2 from 2.8.1-1 to 2.12.4
Not downgrading package leafpad from 0.8.9 to 0.8.11
Not downgrading package sdl from 1.2.9 to 1.2.11
Not downgrading package libbonoboui from 2.8.1 to 2.18.0
Not downgrading package libbonobo from 2.8.1 to 2.18.0
Not downgrading package libiconv from 1.9.2 to 1.11
Not downgrading package gthumb from 2.6.9 to 2.10.5
Not downgrading package gail from 1.8.4 to 1.19.1
Not downgrading package libsoup from 2.2.93 to 2.2.100
Not downgrading package gstreamer from 0.8.12 to 0.10.11
Not downgrading package evolution-data-server from 1.7.91 to 1.10.1
Not downgrading package gtk2 from 2.6.2-3 to 2.10.12


First step to resolve the problem
CODE
ipkg remove libgnomecanvas
ipkg remove libpng
ipkg remove pygtk
ipkg remove glib2
ipkg remove leafpad
ipkg remove sdl
ipkg remove libbonoboui
ipkg remove libbonobo
ipkg remove libiconv
ipkg remove gthumb
ipkg remove gail
ipkg remove libsoup
ipkg remove gstreamer
ipkg remove evolution-data-server
ipkg remove gtk2

ipkg install libgnomecanvas
ipkg install libpng
ipkg install pygtk
ipkg install glib2
ipkg install leafpad
ipkg install sdl
ipkg install libbonoboui
ipkg install libbonobo
ipkg install libiconv
ipkg install gthumb
ipkg install gail
ipkg install libsoup
ipkg install gstreamer
ipkg install evolution-data-server
ipkg install gtk2


Update Contact, Calendar and Sylpheed
CODE
iipkg remove gpe-contacts
ipkg install contacts
ipkg remove gpe_calendar
ipkg install dates

ipkg remove sylpheed-gtk2
ipkg install sylpheed


Add others dependencies need for dbus , rox and others (maybe smile.gif )
CODE
ipkg install dbus-glib
ipkg install glibmm
ipkg install gettext
ipkg install rox-lib2
ipkg install sdl-ttf
ipkg install wbxml2


Some librairies
CODE
ipkg install libmhash
ipkg install libnotify
ipkg install libsigc++
ipkg install id3lib
ipkg install libflac
ipkg install libfltk
ipkg install libgmp
ipkg install libidl
ipkg install libidn
ipkg install liblua
ipkg install libdaemon
ipkg install libmcrypt
ipkg install taglib


Others dependencies
CODE
ipkg install gnome-common
ipkg install gnome-python
ipkg install gnome-python-extras
ipkg install gob2
ipkg install cairomm
ipkg install gtkmm


Some appz
CODE
ipkg install tasks
ipkg install gnochm
ipkg install gpass
ipkg install planner
ipkg install planner-locales

ipkg install gphoto2
ipkg install gputty
ipkg install mpd-full
ipkg install gimmix
ipkg install pidgin

ipkg install ufraw
ipkg install lcms


Some Games
CODE
ipkg install flashback-data
ipkg install reminiscence
ipkg install gngeo-bios
ipkg install gngeo
ipkg install xgngeo
ipkg install supertux
ipkg install znester
ipkg install flobopuyo
ipkg install gnudoku
ipkg install powermanga



I hope it will help somebody .

But why ipkg seems to be breaked ?

System seems to be more in use after upgrade smile.gif

don't forgot to backup before do anything
kkazakov13
Well, I have an automatic installation system, which upgrades a plain beta3 with all the packages in my feed in 20 minutes without me touching anything.

Never tried it your way, because it looks more painful to me. But yes, I'm glad that someone is actually using my packages wink.gif
adf
it musg nice write-up!
I did something similar recently, but I think I'll follow your steps just in case
I think the issue is how ipkg parses package names- it seems to be comparing digit by digit rather than by numerical value. -- all x.1x .y will be held lower than all x.2.y; etc. very annoying.
this sounds like a suggestion for either a custom.tar.gz pdaxii13 image; or; combined with recent kernel updstes a possible basis to impose on meanie for a 5.5 series...
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.